# Generated by Django 4.2.5 on 2023-09-29 22:32

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='HurricaneHistory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.DateTimeField()),
                ('name', models.CharField(max_length=50, null=True)),
                ('classification', models.CharField(max_length=5, null=True)),
                ('lat', models.FloatField(null=True)),
                ('lon', models.FloatField(null=True)),
                ('wind', models.FloatField(null=True)),
                ('pressure', models.FloatField(null=True)),
            ],
            options={
                'db_table': 'hurricane_history',
                'indexes': [models.Index(fields=['time'], name='hurricane_h_time_be168d_idx')],
            },
        ),
        migrations.CreateModel(
            name='Fuel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.DateTimeField()),
                ('Water_Inflow', models.FloatField(null=True)),
                ('HFO_price', models.FloatField(null=True)),
                ('LFO_price', models.FloatField(null=True)),
            ],
            options={
                'db_table': 'fuel',
                'indexes': [models.Index(fields=['time'], name='fuel_time_5007af_idx')],
            },
        ),
        migrations.CreateModel(
            name='ENSOForecast',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.DateTimeField()),
                ('SST', models.FloatField(null=True)),
                ('anomaly', models.FloatField(null=True)),
            ],
            options={
                'db_table': 'ENSO_forecast',
                'indexes': [models.Index(fields=['time'], name='ENSO_foreca_time_314379_idx')],
            },
        ),
        migrations.CreateModel(
            name='ENSO',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.DateTimeField()),
                ('SST', models.FloatField(null=True)),
                ('anomaly', models.FloatField(null=True)),
            ],
            options={
                'db_table': 'ENSO',
                'indexes': [models.Index(fields=['time'], name='ENSO_time_d2008e_idx')],
            },
        ),
    ]
